commit 643bbc81
Start building on Ubuntu 18.04 now that 16.04 has reached EOL.
Changed files
diff --git a/CMakeLists.txt b/CMakeLists.txt
index 8a6848f..0400f91 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.5.1...3.18.4)
+cmake_minimum_required(VERSION 3.5.1...3.22.1)
project (blockattack)
set(BIN_DIR ${blockattack_SOURCE_DIR}/Game)
diff --git a/source/misc/docker/Dockerfile.Ubuntu16.04build_Standalone b/source/misc/docker/Dockerfile.Ubuntu16.04build_Standalone
index d48196e..2db270e 100644
--- a/source/misc/docker/Dockerfile.Ubuntu16.04build_Standalone
+++ b/source/misc/docker/Dockerfile.Ubuntu16.04build_Standalone
@@ -2,12 +2,6 @@ FROM ubuntu:16.04
RUN apt-get update && apt-get install -y build-essential cmake pkg-config libfreetype6-dev libvorbis-dev libgl1-mesa-dev libpulse-dev libpng12-dev zip gettext
-RUN apt-get update && apt-get install -y python-software-properties && \
-apt-get update && \
-apt-get install -y gcc-4.8 g++-4.8 && \
-update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-4.8 50 && \
-update-alternatives --install /usr/bin/g++ g++ /usr/bin/g++-4.8 50
-
COPY source/misc/standalone/compile_requirements.sh /
RUN /compile_requirements.sh
diff --git a/source/misc/docker/Dockerfile.Ubuntu18.04build_Standalone b/source/misc/docker/Dockerfile.Ubuntu18.04build_Standalone
new file mode 100644
index 0000000..0470fb2
--- /dev/null
+++ b/source/misc/docker/Dockerfile.Ubuntu18.04build_Standalone
@@ -0,0 +1,17 @@
+FROM ubuntu:18.04
+
+RUN apt-get update && apt-get install -y build-essential cmake pkg-config libfreetype6-dev libvorbis-dev libgl1-mesa-dev libpulse-dev zip gettext
+
+
+COPY source/misc/standalone/compile_requirements.sh /
+RUN /compile_requirements.sh
+
+
+
+COPY . /staging/blockattack-game
+
+ENV BLOCKATTACK_VERSION 2.9.0-SNAPSHOT
+
+RUN cd /staging/blockattack-game && \
+./packdata.sh && \
+cmake -D Boost_USE_STATIC_LIBS=ON -D INSTALL_DATA_DIR=. -D CMAKE_INSTALL_PREFIX=. -D STANDALONE=1 . && make
diff --git a/source/misc/standalone/build_standalone.sh b/source/misc/standalone/build_standalone.sh
index 8e856cb..059e70f 100755
--- a/source/misc/standalone/build_standalone.sh
+++ b/source/misc/standalone/build_standalone.sh
@@ -18,7 +18,7 @@ chmod +x staging/$ARCHIVENAME/blockattack
cd ../../..
-docker build -f source/misc/docker/Dockerfile.Ubuntu16.04build_Standalone . -t blockattack_test
+docker build -f source/misc/docker/Dockerfile.Ubuntu18.04build_Standalone . -t blockattack_test
echo Copying to: $(pwd)/source/misc/standalone/staging/$ARCHIVENAME
@@ -28,7 +28,6 @@ cp /usr/local/lib/libphysfs.so.1 /output/x86_64/ && \
cp /usr/local/lib/libSDL2_mixer-2.0.so.0 /output/x86_64/ && \
cp /usr/local/lib/libSDL2_ttf-2.0.so.0 /output/x86_64/ && \
cp /usr/lib/x86_64-linux-gnu/libfreetype.so.6 /output/x86_64/ && \
-cp /lib/x86_64-linux-gnu/libpng12.so.0 /output/x86_64/ && \
cp /usr/local/lib/libSDL2_image-2.0.so.0 /output/x86_64/"
docker run -it --rm -v $(pwd)/source/misc/standalone/staging/$ARCHIVENAME/:/output blockattack_test /bin/bash -c "cp -r /staging/blockattack-game/source/misc/translation/locale /output/ && \
diff --git a/source/misc/standalone/compile_requirements.sh b/source/misc/standalone/compile_requirements.sh
index b76a383..210a75a 100755
--- a/source/misc/standalone/compile_requirements.sh
+++ b/source/misc/standalone/compile_requirements.sh
@@ -1,21 +1,23 @@
#! /bin/bash
set -e
set -x
+set -u
+set -o pipefail
-mkdir -p /staging/deps && cd /staging/deps && curl https://libsdl.org/release/SDL2-2.24.1.tar.gz | tar -zx && cd SDL2-2.24.1 && ls -lrt
-cd /staging/deps/SDL2-2.24.1 && ./configure --enable-shared --enable-static && make && make install
+mkdir -p /staging/deps && cd /staging/deps && curl -L https://github.com/libsdl-org/SDL/releases/download/release-2.26.1/SDL2-2.26.1.tar.gz | tar -zx && cd SDL2-2.26.1 && ls -lrt
+cd /staging/deps/SDL2-2.26.1 && ./configure --enable-shared --enable-static && make && make install
-#https://www.libsdl.org/projects/SDL_image/release/SDL2_image-2.0.5.tar.gz
-mkdir -p /staging/deps && cd /staging/deps && curl https://www.libsdl.org/projects/SDL_image/release/SDL2_image-2.0.5.tar.gz | tar -zx && cd SDL2_image-2.0.5 && ls -lrt
-cd /staging/deps/SDL2_image-2.0.5 && ./configure --enable-shared --enable-static && make && make install
+#https://github.com/libsdl-org/SDL_image/releases/download/release-2.6.2/SDL2_image-2.6.2.tar.gz
+mkdir -p /staging/deps && cd /staging/deps && curl -L https://github.com/libsdl-org/SDL_image/releases/download/release-2.6.2/SDL2_image-2.6.2.tar.gz | tar -zx && cd SDL2_image-2.6.2 && ls -lrt
+cd /staging/deps/SDL2_image-2.6.2 && ./configure --enable-shared --enable-static && make && make install
-#https://www.libsdl.org/projects/SDL_mixer/release/SDL2_mixer-2.0.4.tar.gz
-mkdir -p /staging/deps && cd /staging/deps && curl https://www.libsdl.org/projects/SDL_mixer/release/SDL2_mixer-2.0.4.tar.gz | tar -zx && cd SDL2_mixer-2.0.4 && ls -lrt
-cd /staging/deps/SDL2_mixer-2.0.4 && ./configure --enable-shared --enable-static && make && make install
+#https://github.com/libsdl-org/SDL_mixer/releases/download/release-2.6.2/SDL2_mixer-2.6.2.tar.gz
+mkdir -p /staging/deps && cd /staging/deps && curl -L https://github.com/libsdl-org/SDL_mixer/releases/download/release-2.6.2/SDL2_mixer-2.6.2.tar.gz | tar -zx && cd SDL2_mixer-2.6.2 && ls -lrt
+cd /staging/deps/SDL2_mixer-2.6.2 && ./configure --enable-shared --enable-static && make && make install
-#https://www.libsdl.org/projects/SDL_ttf/release/SDL2_ttf-2.0.18.tar.gz
-mkdir -p /staging/deps && cd /staging/deps && curl https://www.libsdl.org/projects/SDL_ttf/release/SDL2_ttf-2.0.18.tar.gz | tar -zx && cd SDL2_ttf-2.0.18 && ls -lrt
-cd /staging/deps/SDL2_ttf-2.0.18 && ./configure --enable-shared --enable-static && make && make install
+#https://github.com/libsdl-org/SDL_ttf/releases/download/release-2.20.1/SDL2_ttf-2.20.1.tar.gz
+mkdir -p /staging/deps && cd /staging/deps && curl -L https://github.com/libsdl-org/SDL_ttf/releases/download/release-2.20.1/SDL2_ttf-2.20.1.tar.gz | tar -zx && cd SDL2_ttf-2.20.1 && ls -lrt
+cd /staging/deps/SDL2_ttf-2.20.1 && ./configure --enable-shared --enable-static && make && make install
mkdir -p /staging/blockattack-game
mkdir -p /staging/deps && cd /staging/deps && curl https://icculus.org/physfs/downloads/physfs-3.0.2.tar.bz2 | tar -jx && cd physfs-3.0.2 && ls -lrt